# DataExchange
TKXSBase
StepData

# StepData_ECDescr Class Reference

Describes a Complex Entity (Plex) as a list of Simple ones
.

`#include <StepData_ECDescr.hxx>`

Inheritance diagram for StepData_ECDescr:

[legend]

## Public Member Functions

Standard_EXPORT | StepData_ECDescr ()
| Creates an ECDescr, empty .
Standard_EXPORT void | Add (const Handle(StepData_ESDescr)&member)
| Adds a member Warning : members are added in alphabetic order .
Standard_EXPORT Standard_Integer | NbMembers () const
| Returns the count of members .
Standard_EXPORT Handle_StepData_ESDescr | Member (const Standard_Integer num) const
| Returns a Member from its rank .
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | TypeList () const
| Returns the ordered list of types .
Standard_EXPORT Standard_Boolean | Matches (const Standard_CString steptype) const
| Tells if a ESDescr matches a step type : exact or super type .
Standard_EXPORT Standard_Boolean | IsComplex () const
| Returns True .
Standard_EXPORT Handle_StepData_Described | NewEntity () const
| Creates a described entity (i.e. a complex one, made of one simple entity per member) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SequenceOfTransient | thelist

## Constructor & Destructor Documentation

Standard_EXPORT StepData_ECDescr::StepData_ECDescr | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepData_ECDescr::Add | ( | const Handle(StepData_ESDescr)& | member | ) |

Standard_EXPORT const StepData_ECDescr::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_EDescr.

Standard_EXPORT Standard_Boolean StepData_ECDescr::IsComplex | ( |  | ) | const`[virtual]`

| Implements StepData_EDescr.

Standard_EXPORT Standard_Boolean StepData_ECDescr::Matches | ( | const Standard_CString | steptype | ) | const`[virtual]`

| Implements StepData_EDescr.

Standard_EXPORT Handle_StepData_ESDescr StepData_ECDescr::Member | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepData_ECDescr::NbMembers | ( |  | ) | const

Standard_EXPORT Handle_StepData_Described StepData_ECDescr::NewEntity | ( |  | ) | const`[virtual]`

| Implements StepData_EDescr.

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString StepData_ECDescr::TypeList | ( |  | ) | const

## Field Documentation

TColStd_SequenceOfTransient StepData_ECDescr::thelist `[private]`

The documentation for this class was generated from the following file:

- StepData_ECDescr.hxx